Remote Server Administration Tools Pack

To ease remote server management, Microsoft has included a remote server administration tools pack on the Windows Server® 2008 product DVD-ROM.

About the Remote Server Administration Tools pack

You can install the Remote Server Administration Tools pack on computers running the Windows Server 2008 operating system, and use the Remote Server Administration Tools pack to manage specific technologies on computers running either Windows Server 2008 or Windows Server 2003.

The Remote Server Administration Tools pack enables remote management of some technologies that run on Windows Server 2008 and Windows Server 2003 from a computer running Windows Server 2008, by allowing you to open and run management tools on a remote computer.

The Remote Server Administration Tools pack includes support for remote management of computers running a Server Core installation of Windows Server 2008. However, Remote Server Administration Tools cannot be installed on a Server Core installation of the Windows Server 2008 operating system.

As with other management tools included with Windows Server 2008, Remote Server Administration Tools are secure by default. The default Remote Server Administration Tools configuration opens only those ports and enables only those services and firewall exceptions required for remote management to work.


What Are the Remote Server Administration Tools?

When you install Remote Server Administration Tools on a server running Windows Server® 2008, you select the roles, role services, and features you want to manage on remote computers running either Windows Server 2008 or Windows Server 2003.

When Remote Server Administration Tools installation completes, snap-ins and tools to manage corresponding roles, role services, and features are available on your computer.

Available Remote Server Administration Tools

For this prerelease version of Windows Server 2008, the following tools are available for installation with Remote Server Administration Tools.

Note

When you install tools for specific roles, role services, and features within Remote Server Administration Tools, you install only a set of snap-ins and tools for remote management of those roles, role services, and features installed on other computers. Installing Remote Server Administration Tools does not install any roles or features on the local computer.

Remote Server Administration Tools for roles

Note

This list of roles may have been updated since this content was published. To check for updates, see the Windows Server 2008 TechCenter (http://go.microsoft.com/fwlink/?LinkId=48541).

Remote Server Administration Tools role Description

Active Directory Certificate Services Tools

Active Directory Certificate Services Tools includes the Certification Authority, Certificate Templates, Enterprise PKI, and Online Responder Management snap-ins.

Active Directory Domain Services (AD DS) Tools

Active Directory Domain Services Tools includes Active Directory Users and Computers, Active Directory Domains and Trusts, Active Directory Sites and Services, Server for NIS tools, and other snap-ins and command-line tools for remotely managing Active Directory Domain Services.

Active Directory Lightweight Directory Services (AD LDS) Tools

Active Directory Lightweight Directory Services Tools includes Active Directory Sites and Services, ADSI Edit, Schema Manager, and other snap-ins and command-line tools for managing Active Directory Lightweight Directory Services.

Active Directory Rights Management Services (AD RMS) Tools

Active Directory Rights Management Services (AD RMS) Tools includes the Active Directory Rights Management Services (AD RMS) snap-in.

DHCP Server Tools

DHCP Server Tools includes the DHCP snap-in.

DNS Server Tools

DNS Server Tools includes the DNS Manager snap-in and dnscmd.exe command-line tool.

Fax Server Tools

Fax Server Tools includes the Fax Service Manager snap-in.

File Services Tools

File Services Tools include the following:

  • Distributed File System Tools includes the DFS Management snap-in, and the dfsradmin.exe, dfscmd.exe, dfsdiag.exe, and dfsutil.exe command-line tools.

  • File Server Resource Manager Tools includes the File Server Resource Manager snap-in, and the filescrn.exe and storrept.exe command-line tools.

  • Services for Network File System Tools includes the Network File System snap-in, and the nfsadmin.exe, showmount.exe, and rpcinfo.exe command-line tools.

Network Policy and Access Services Tools

Network Policy and Access Services Tools includes the Health Registration Authority snap-in.

Print Services Tools

Print Services Tools includes the Print Management snap-in.

Terminal Services Tools

Terminal Services Tools includes the TS RemoteApp Manager, TS Gateway Manager, and TS Licensing Manager snap-ins.

Universal Description, Discovery, and Integration (UDDI) Services Tools

UDDI Services Tools includes the UDDI Services snap-in.

Web Server (IIS) Tools

Web Server (IIS) Tools includes the Internet Information Services (IIS) 6.0 Manager and IIS Manager snap-ins.

Windows Deployment Services Tools

Windows Deployment Services Tools includes the Windows Deployment Services snap-in, wdsutil.exe command-line tool, and Remote Install extension for the Active Directory Users and Computers snap-in.

Hyper-V™ Tools

Hyper-V Tools include snap-ins and tools for managing Hyper-V.

Remote Server Administration Tools for features

Note

This list of features may have been updated since this content was published. To check for updates, see the Windows Server 2008 TechCenter (http://go.microsoft.com/fwlink/?LinkId=48541).

Remote Server Administration Tools feature | Description
BitLocker Drive Encryption Tools | BitLocker Drive Encryption Tools includes the manage-bde.wsf script.
BITS Server Extensions Tools | BITS Server Extensions Tools includes the Internet Information Services (IIS) 6.0 Manager and IIS Manager snap-ins.
Failover Clustering Tools | Failover Clustering Tools includes the Failover Cluster Manager snap-in and the cluster.exe command-line tool.
Network Load Balancing Tools | Network Load Balancing Tools includes the Network Load Balancing Manager snap-in, and the nlb.exe and wlbs.exe command-line tools.
SMTP Server Tools | SMTP Server Tools includes the Internet Information Services (IIS) 6.0 Manager snap-in.
WINS Server Tools | Windows Internet Name Service (WINS) Server Tools includes the WINS snap-in.


Installing or Removing the Remote Server Administration Tools Pack

The Remote Server Administration Tools pack is a feature included with Windows Server® 2008. You can install the Remote Server Administration Tools pack by using either the Add Features Wizard in Windows Server 2008, or by using a command line to install the feature.

Prerequisites for installing the Remote Server Administration Tools pack

You can install the Remote Server Administration Tools pack on a computer running any Windows Server 2008 operating system, except a Server Core installation of the Windows Server 2008 operating system.

You should only install Remote Server Administration Tools to perform administrative tasks on computers running either Windows Server 2008 or Windows Server 2003.

You must either be a member of the Administrators group on the server on which you want to install the Remote Server Administration Tools pack, or you must be logged on to the computer using the built-in Administrator account.

In this topic

How to install the Remote Server Administration Tools pack

How to remove the Remote Server Administration Tools pack

How to install the Remote Server Administration Tools pack

You can install the Remote Server Administration Tools pack on a computer running Windows Server 2008 either by using the Windows user interface or by using the command line.

Using the Windows user interface

Using the command line

Using the Windows user interface

To install the Remote Server Administration Tool pack by using the Windows user interface

  1. Open the Add Features Wizard by doing one of the following.

    • In the Initial Configuration Tasks window, in the Customize This Server area, click Add features.

    • Open Server Manager by clicking Start, pointing to Administrative Tools, and then clicking Server Manager. In the Features section of the Server Manager home page, click Add features.

      Note

      You can also open Server Manager by clicking the Server Manager button on the Quick Launch toolbar, or by typing servermanager into a command prompt window, and then pressing ENTER.

    • Open Control Panel. Double-click Programs and Features. In the Tasks list, click Turn Windows features on or off. When the Server Manager console opens, click Add features in the Features section of the home page.

  2. On the Select Features page of the Add Features Wizard, select Remote Server Administration Tools Pack.

  3. Select roles, role services, or features that are installed on other computers and that you want to manage from the current computer. Click Next.

    Note

    Installing Remote Server Administration Tools does not install any roles, role services, or features on a computer. For each role, role service, or feature you select within Remote Server Administration Tools, you are installing only management tools and snap-ins that allow you to perform administration tasks for specified roles, role services, or features installed on other computers.

  4. On the Confirm Installation Options page, click Install.

  5. When installation is complete, close the wizard.

Using the command line

Note

Because of security restrictions imposed by User Account Control in Windows Server 2008, to complete the following procedure, you must run a Command Prompt window with elevated privileges.

Before you begin installing Remote Server Administration Tools by using the command line, it is strongly recommended that you read the topic "Overview of Server Manager Commands" in the Server Manager Help.

This procedure shows you how to install one set of tools contained within a single command identifier. If you want to install remote administration tools for multiple roles or features, you can do this in one of the following two ways.

  • You can install remote administration tools for all roles or all features in a single command instance by choosing one of the container identifiers shown in the following table.

    • RSAT: for installing or removing all available Remote Server Administration Tools.

    • RSAT-Role-Tools: for installing or removing all available remote role administration tools.

    • RSAT-Feature-Tools: for installing or removing all available remote feature administration tools.

  • You can install or remove multiple remote administration tools by creating an answer file for the command you use. For more information about creating an answer file, see "Creating an Answer File for Server Manager Commands" in the Server Manager Help.

To install Remote Server Administration Tools by using a command line

  1. Open a Command Prompt window with elevated privileges by right-clicking the Command Prompt executable, or the Command Prompt object on the Start menu, and then clicking Run as administrator.

  2. At the prompt, type the following, where command Id represents the identifier (found in the preceding table) for the tools you want to install, and then press ENTER.

    ServerManagerCmd.exe -install <command Id>

    Note

    The complete list of Remote Server Administration Tools command identifiers is in this topic, in the section Command-line identifiers for available tools. Other parameters are available for this command, such as -restart, which automatically restarts the computer after installation if it is required by the administration tools you have installed. It is recommended that you read about additional Server Manager command line parameters in the topic "Overview of Server Manager Commands" in the Server Manager Help.

  3. When installation completes successfully, the command prompt displays an exit code of 0, along with a message confirming a successful installation.

  4. If the installation failed or other messages are displayed, refer to "Interpreting Output from Server Manager Commands" in the Server Manager Help to identify and resolve any problems.

How to remove the Remote Server Administration Tools pack

You can remove Remote Server Administration Tools from a computer running Windows Server 2008 either by using the Windows user interface or by using the command line.

Using the Windows user interface

Using the command line

Using the Windows user interface

To remove Remote Server Administration Tools by using Windows

  1. Open the Remove Features Wizard by doing one of the following.

    • In the Initial Configuration Tasks window, in the Customize This Server area, click Remove features.

    • Open Server Manager by clicking Start, pointing to Administrative Tools, and then clicking Server Manager. In the Features section of the Server Manager home page, click Remove features.

      Note

      You can also open Server Manager by clicking the Server Manager button on the Quick Launch toolbar, or by typing servermanager into a command prompt window, and then pressing ENTER.

    • Open Control Panel. Double-click Programs and Features. In the Tasks list, click Turn Windows features on or off. When the Server Manager console opens, click Remove features in the Features section of the home page.

  2. On the Select Features page of the Remove Features Wizard, select Remote Server Administration Tools Pack.

  3. Select remote administration tools that you want to remove from the local computer. Click Next.

    Note

    Removing Remote Server Administration Tools does not remove any roles, role services, or features from a computer. For each role, role service, or feature you select within Remote Server Administration Tools, you are removing only management tools and snap-ins that allow you to perform administration tasks for specified roles, role services, or features installed on other computers.

  4. On the Confirm Removal Options page, click Remove.

  5. When removal is complete, close the wizard.

Using the command line

Note

Because of security restrictions imposed by User Account Control in Windows Server 2008, to complete the following procedure, you must run a Command Prompt window with elevated privileges.

Before you begin removing Remote Server Administration Tools by using the command line, it is strongly recommended that you read the topic "Overview of Server Manager Commands" in the Server Manager Help.

This procedure shows you how to remove one set of tools contained within a single command identifier. If you want to remove remote administration tools for multiple roles or features, you can do this in one of the following two ways.

  • You can remove remote administration tools for all roles or all features in a single command instance by choosing one of the container identifiers shown in the following table.

    • RSAT: for installing or removing all available Remote Server Administration Tools.

    • RSAT-Role-Tools: for installing or removing all available remote role administration tools.

    • RSAT-Feature-Tools: for installing or removing all available remote feature administration tools.

  • You can install or remove multiple remote administration tools by creating an answer file for the command you use. For more information about creating an answer file, see "Creating an Answer File for Server Manager Commands" in the Server Manager Help.

To remove Remote Server Administration Tools by using a command line

  1. Open a Command Prompt window with elevated privileges by right-clicking the Command Prompt executable, or the Command Prompt object on the Start menu, and then clicking Run as administrator.

  2. At the prompt, type the following, where command Id represents the identifier (found in the preceding table) for the tools you want to remove, and then press ENTER.

    ServerManagerCmd.exe -remove <command Id>

    Note

    The complete list of Remote Server Administration Tools command identifiers is in this topic, in the section Command-line identifiers for available tools. Other parameters are available for this command, such as -restart, which automatically restarts the computer after removal if it is required by remaining programs on the computer. It is recommended that you read about additional Server Manager command line parameters in the topic "Overview of Server Manager Commands" in the Server Manager Help.

  3. When removal completes successfully, the command prompt displays an exit code of 0, along with a message confirming a successful removal.

  4. If the removal failed or other messages are displayed, refer to "Interpreting Output from Server Manager Commands" in the Server Manager Help to identify and resolve any problems.

Command-line identifiers for available tools

The following table contains the command-line identifiers for Remote Server Administration Tools available in Windows Server 2008. To install Remote Server Administration Tools by using the command line, as part of the command, you must enter the command identifier for the role, role service, or feature for which you want to install remote management tools. You can also see a complete list of command identifiers by entering the command Servermanagercmd –query in a command prompt window.

Role, role service, or feature name | Command identifier
(All role administration tools) | RSAT-Role-Tools
(All feature administration tools) | RSAT-Feature-Tools
Remote Server Administration Tools (all tools) | RSAT
Active Directory Certificate Services | RSAT-ADCS
Active Directory Domain Services | RSAT-ADDS
Active Directory domain controller | RSAT-ADDC
Active Directory Lightweight Directory Services | RSAT-ADLDS
Active Directory Rights Management Services (AD RMS) | RSAT-RMS
BitLocker Drive Encryption | RSAT-BitLocker
BITS Server Extensions | RSAT-Bits-Server
DFS Management Console | RSAT-DFS-Mgnt-Con
DHCP Server | RSAT-DHCP
DNS Server | RSAT-DNS-Server
Failover Clustering | RSAT-Clustering
Fax Server | RSAT-Fax
File Server Resource Manager Management Console | RSAT-FSRM-Mgnt
File Services | RSAT-File-Services
Health Registration Authority | RSAT-HRA
Hyper-V™ | RSAT-Hyper-V
NETSH | RSAT-WINS-NETSH
Network Load Balancing | RSAT-NLB
Network Policy and Access Services | RSAT-NPAS
Print Services | RSAT-Print-Services
Remote Access Service | RSAT-RAS
Services for Network File System (NFS) | RSAT-NFS-Admin
Server for Network Information Service (NIS) | RSAT-NIS
SMTP Server | RSAT-SMTP
Storage Manager for SANs | RSAT-SAN
Terminal Services | RSAT-TS
TS Gateway Manager | RSAT-TS-Gateway
TS Licensing Manager | RSAT-TS-Licensing
TS RemoteApp Manager | RSAT-TS-RemoteApp
Web Server (IIS) | RSAT-Web-Server
Windows Deployment Services | RSAT-WDS
WINS Server | RSAT-WINS
WINS Server Management Console | RSAT-WINS-Console


Managing Your Server Remotely with Remote Server Administration Tools

This topic describes how you open and use snap-ins and tools that installed as part of Remote Server Administration Tools to manage roles and features installed on other servers.

Opening snap-ins for remote administration

Perform the following steps to open a snap-in that is installed as part of Remote Server Administration Tools.

To open a snap-in for remote administration

  1. On the Start menu, point to Administrative Tools, and then click the snap-in you want to open.

  2. Select the computer on which you want to manage roles, role services, or features by using the appropriate command, either on the Action menu, or in the Actions pane. Typically, this command is titled Connect to another computer, or similar.

  3. In the Select Computer dialog box, do one of the following:

    • Type the name or IP address of a computer running Windows Server® 2008 or Windows Server 2003, on which the role or feature you want to manage is installed.

    • Click Browse to select the computer on which the role or feature you want to manage is installed.

  4. Click OK to close the Browse for a Computer dialog box.

  5. Click OK to close the Select Computer dialog box.

Refer to the Help for the role or feature you want to manage remotely for information about specific tasks and management considerations.